package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.ParkingCoupon;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import com.sun.org.apache.xpath.internal.operations.Bool;

public interface ParkingCouponService {
	ParkingCoupon get(String id);
	boolean exist(String id);
	int insert(ParkingCoupon model);
	int update(ParkingCoupon model);
	int delete(String id);
	List<ParkingCoupon> list();
	Page<ParkingCoupon> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    ParkingCoupon findByParkingRecordIdAndStatus(String id, Boolean status);
}